LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices



Reply
 
Search this Thread
Old 10-09-2004, 10:40 PM   #1
KarlT
Member
 
Registered: Dec 2003
Posts: 31

Rep: Reputation: 15
Audigy LS and ALSA again


I keep seeing this business about ALSA having support for the Audigy LS in ver. 1.0.6, but at the ALSA site, there is no mention of it being supported when one looks under "Creative". Am I missing something, or is it still not supported?

Thank youl

Karl
 
Old 10-13-2004, 10:23 AM   #2
320mb
Senior Member
 
Registered: Nov 2002
Location: pikes peak
Distribution: Slackware, LFS
Posts: 2,577

Rep: Reputation: 47
Quote:
The Audigy LS -- The retail Audigy LS card is not based on the same chip as other Audigy boards, so the EMU10K1 driver available at SourceForge won't work with it. Fortunately, there are drivers available from two sources -- ALSA (1.0.6 release) and 4FrontTechnologies.
http://opensource.creative.com/soundcard.html
 
Old 10-13-2004, 12:05 PM   #3
KarlT
Member
 
Registered: Dec 2003
Posts: 31

Original Poster
Rep: Reputation: 15
Thank you. As I said, it does not seem to appear in either the ALSA listing of Creative cards nor in the 4FrontTechnologies listing; only higher in the line Audigy cards appear. I have been told that an ALSA 1.0.6+ Beta release includes it, but again, it is not listed there yet.

I have emailed 4Front about this to see what they have to say.

And I thank you for the info. It just seems weird that nobody actually lists that particular card . . . if it is indeed available.

Karl

Last edited by KarlT; 10-13-2004 at 12:07 PM.
 
Old 10-15-2004, 11:57 PM   #4
user258
LQ Newbie
 
Registered: Oct 2004
Posts: 1

Rep: Reputation: 0
Audigy LS (Sound Blaster Live 24 bit)

The Audigy LS card is "presumably" supported in ALSA 1.0.6a
(Same thing goes for the Dell version of SB Live).

The module for the Audigy LS card is snd-audigyls
(The module for the Dell version is different)

I compiled the ALSA 1.0.6a tarball under RedHat Fedora core 2. It had some issues with unresolved symbols which I partially resolved (by recompiling the kernel), but don't have the time to deal with this anymore.

However, ALSA 1.0.6a should be good enough if you are persistent (or lucky) to patch your existent kernel.

It might be interesting to note that I actually have the Sound Blaster Live 24 bit card which shows as Audigy LS when you do 'lspci'. I wished Creative Labs would start being a little more creative and start labeling different ("chipset-wise") cards differently.

Hope this helps.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Help with Audigy LS and ALSA (and modprobe...) Coolvortex Linux - Hardware 13 08-08-2005 05:24 AM
Knoppix 3.7 ALSA 1.0.6 Audigy LS thegoofeedude Linux - Hardware 5 02-07-2005 01:35 PM
alsa not detecting SB Audigy 2 Longinus Linux - Newbie 9 08-09-2004 12:43 AM
Audigy, Alsa, Digital out, help :) patroche Linux - Hardware 42 11-11-2003 06:36 AM
Alsa and Audigy 2 sean_nj Linux - Hardware 1 08-26-2003 09:31 AM


All times are GMT -5. The time now is 08:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration